> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pawa-ai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Agent

> This endpoint used to delete the custom agent in the Pawa AI Platform.



## OpenAPI

````yaml DELETE /agents/delete/{id}
openapi: 3.1.0
info:
  title: Pawa AI APIs
  description: >-
    API endpoints in Pawa Platform to perform CRUD operations on different
    features using Pawa AI, a digital assistant built for Africa for various
    tasks.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.pawa-ai.com/v1
    description: Production Server
security:
  - bearerAuth: []
paths:
  /agents/delete/{id}:
    delete:
      tags:
        - Delete agent
      summary: Delete agent
      description: This endpoint used to delete the custom agent in the Pawa AI Platform.
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: number
      responses:
        '200':
          description: Agent deleted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentDeleteResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                badRequest:
                  value:
                    success: false
                    message: Invalid input provided
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                unauthorized:
                  value:
                    success: false
                    message: Unauthorized access
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                forbidden:
                  value:
                    success: false
                    message: You do not have permission to access this resource
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                notFound:
                  value:
                    success: false
                    message: Resource does not exist
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                tooManyRequests:
                  value:
                    success: false
                    message: Rate limit exceeded. Please try again later.
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                serverError:
                  value:
                    success: false
                    message: Internal server error
components:
  schemas:
    AgentDeleteResponseDto:
      type: object
      properties:
        success:
          type: boolean
          example: true
        message:
          type: string
          example: Agent deleted successfully
        data:
          $ref: '#/components/schemas/AgentCreateResponseData'
      required:
        - success
        - message
        - data
    ErrorResponse:
      required:
        - success
        - message
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
          example: An error occurred
    AgentCreateResponseData:
      type: object
      properties:
        id:
          type: number
          example: 0
        agentReferenceId:
          type: string
          example: 67cf5354-89f0-8001-b038-b2645377b214
        name:
          type: string
          example: TutorAI
        description:
          type: string
          example: >-
            TutorAI is an AI agent designed to assist students with their
            studies.
        instruction:
          type: string
          example: >-
            Teaching students on subjects ranging from form one to form 4.
            Follow questions properly and do not answer any other questions
            apart from what you have been tasked to
        status:
          type: string
          description: The status of the agent
          example: ACTIVE
        createdAt:
          type: string
          example: '2021-09-01T00:00:00.000Z'
        updatedAt:
          type: string
          example: '2021-09-01T00:00:00.000Z'
      required:
        - id
        - agentReferenceId
        - name
        - description
        - instruction
        - status
        - createdAt
        - updatedAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````